Subject: Re: Puppet Portrait
From: "Jack Berndt" <[email-masked]>
To: "Jim Kirchstein" <[email-masked]>
Date: Sun, 13 May 2012 09:22:59 -0500

Well, I looked around in my computer & came up with this one, as associated with the Hops&Hogs Party last August... :) 
  ----- Original Message ----- 
  From: Jim Kirchstein 
  To: Jack Berndt 
  Sent: Sunday, May 13, 2012 7:20 AM
  Subject: Re: Puppet Portrait

  Sorry...I didn't know you needed  a picture that quickly.
  The one of Ken is great.

  From: Jack Berndt 
  Sent: Saturday, May 12, 2012 8:01 PM
  To: Cuca 
  Subject: Puppet Portrait

  Any chance for a last minute pic of you with one of your more agreeable puppets? Have a slide show put together that I'm showing tomorrow at our annual meeting, on the SMART board. If not, is OK, as have several pics of pups per se at Tripp from last year, including a shot of Ken hangin'em up...